\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{madis-thesis-subject}[2023/11/29 v1.0]
\typeout{Document Class - Sujet These MADIS - version 2023}

\LoadClassWithOptions{article}

\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage[a4paper,head=14mm,headsep=10mm,left=25mm,textwidth=160mm,textheight=230mm,foot=22mm]{geometry}
\RequirePackage[table]{xcolor}
\RequirePackage{fancyhdr}
\RequirePackage{graphicx}
\RequirePackage{epstopdf}
\RequirePackage{afterpage}
\RequirePackage{adjustbox}
\RequirePackage{amssymb}
\definecolor{grayMADIS}{HTML}{7fa0ac}
\RequirePackage[breaklinks=true,colorlinks=true,linkcolor=black,anchorcolor=black,citecolor=black,filecolor=black,menucolor=black,runcolor=black,urlcolor=grayMADIS]{hyperref}
\newcommand{\email}[1]{\href{mailto:#1}{#1}}

\renewcommand{\sfdefault}{phv}
\renewcommand{\rmdefault}{phv}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}

\newcommand{\chk}{{\Large\raisebox{-0.1em}{$\boxtimes$}}}
\newcommand{\uck}{{\Large\raisebox{-0.1em}{$\square$}}}

\fancypagestyle{first}{
  \lhead{\logoleft}
  \chead{}
  \rhead{\logoright}
  \lfoot{\logosimple}
  \cfoot{}
  \rfoot{\adresse}
}

\fancypagestyle{others}{
  \lhead{}
  \chead{}
  \rhead{}
  \lfoot{}
  \cfoot{}
  \rfoot{\thepage}
}

\AtBeginDocument{\thispagestyle{first}\pagestyle{others}}

\newcommand{\logoleft}{\includegraphics[height=12mm]{madis-ed-631-text}}
\newcommand{\logoright}{\includegraphics[height=12mm]{madis-doctoral-school-etc}}
\newcommand{\logosimple}{\parbox[c][20mm][c]{20mm}{%
\includegraphics[height=15mm]{madis-631-shape}}}
\newcommand{\adresse}{\parbox[c][20mm][c]{135mm}{%
\raggedright École Doctorale \textcolor{grayMADIS}{MADIS 631} -- \url{https://edmadis.univ-lille.fr/} \linebreak
Université de Lille -- Cité Scientifique -- Bât. P3 -- bureaux 106-107 \linebreak
F 59655 Villeneuve d'Ascq Cedex - France \linebreak
T. +33 3 20 43 65 19 / +33 3 62 26 88 77 -- \email{sec-edmadis@univ-lille.fr}}}
